import request from '@/utils/request'

// 查询批次测试卷列表
export function listTest_paper(query) {
  return request({
    url: '/learn/test_paper/list',
    method: 'get',
    params: query
  })
}

// 查询批次测试卷详细
export function getTest_paper(id) {
  return request({
    url: '/learn/test_paper/' + id,
    method: 'get'
  })
}

// 新增批次测试卷
export function addTest_paper(data) {
  return request({
    url: '/learn/test_paper',
    method: 'post',
    data: data
  })
}

// 修改批次测试卷
export function updateTest_paper(data) {
  return request({
    url: '/learn/test_paper',
    method: 'put',
    data: data
  })
}

// 删除批次测试卷
export function delTest_paper(id) {
  return request({
    url: '/learn/test_paper/' + id,
    method: 'delete'
  })
}
